/*
Theme Name: Hello Elementor Child
Theme URI: https://www.solucionweb.com/
Description: Tema hijo personalizado para Hello Elementor con login privado, reglas de acceso, botones flotantes configurables, WhatsApp, shortcodes básicos administrables y seguridad antispam para formularios.
Author: Solución Web
Author URI: https://www.solucionweb.com/
Template: hello-elementor
Version: 2.4.4
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: custom-login, translation-ready, elementor, child-theme
*/

/* ---------- Generales ---------- */

html, body{
	overflow-x: hidden;
}



/* Párrafos */
.p-no-bottom p:last-child{
	margin-bottom: 0;
}

.p-no-bottom-all p{
	margin-bottom: 0;
}

/* Carrusel de imágenes continuo */
.linear-carrusel .swiper-wrapper {
    transition-timing-function: linear !important;
}

/* ---------- Formularios ---------- */

/* Textarea: sin resize */
.effect-label-form form textarea.effect-label-control {
  resize: none;
  padding-top: 15px;
}

.effect-label-form form {
  position: relative;
}

.effect-label-form form .effect-label-field {
  position: relative;
  margin-bottom: 1.25rem;
}

.effect-label-form form .effect-label-control {
  display: block;
  width: 100%;
  box-sizing: border-box;
  padding-bottom: 5px;
  padding-top: 15px;
}

/* Label flotando en el input */
.effect-label-form form .effect-label-label {
  position: absolute;
  left: 20px;
  right: 12px;
  top: 50%;
  transform: translateY(-50%);
  font-size: 0.9rem;
  line-height: 1.2;
  color: #777;
  pointer-events: none;
  transition: all 0.18s ease-out;
  margin: 0 !important;
  background: transparent;
  z-index: 1;
}

.effect-label-form form .effect-label-field.elementor-field-type-textarea .effect-label-label {
  top: 5% !important;
  transform: translateY(0) !important;
}

/* Estados de focus o con contenido */
.effect-label-form form .effect-label-field.is-focused .effect-label-label,
.effect-label-form form .effect-label-field.is-filled .effect-label-label,
.effect-label-form form .effect-label-field.filled .effect-label-label {
  top: 4px;
  transform: translateY(0);
  font-size: 0.6rem;
  z-index: 999;
}
